<?php

namespace AppBundle\Repository\Subscription;

/**
 * VotationRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class VotationRepository extends \Doctrine\ORM\EntityRepository
{
    public function queryAll($publish = false)
    {
        $qb = $this->createQueryBuilder('s');

        if($publish) {
//            dump($user->getId());die;
            $qb->where('s.publish = :publish')
                ->setParameter(':publish', $publish);
        }

        $qb->orderBy('s.date', 'DESC');

        return $qb;
    }
}
